登录  免费注册
当前位置:首页 > 漏洞详细信息

Beckhoff TwinCAT不可信指针引用漏洞

 关注(0)  
CNVD-ID CNVD-2018-06288
公开日期 2018-03-26
危害级别 高 (AV:L/AC:L/Au:N/C:C/I:C/A:C)
影响产品 Beckhoff TwinCAT <=3.1 Build 4022.4
Beckhoff TwinCAT <=2.11 R3 2259
Beckhoff TwinCAT 3.1 C ++/Matlab(TC1210/TC1220/TC1300/TC1320)
CVE ID CVE-2018-7502
漏洞描述 Beckhoff TwinCAT系统软件可通过多PLC系统、NC轴控制系统、编程环境和操作站,将任何兼容 PC“改造”成为一台实时控制器,可取代传统的 PLC 和 NC/CNC 控制器以及操作设备。

TwinCAT存在不可信指针引用漏洞。由于该程序缺少对用户提供的指针值的正确验证,攻击者利用漏洞可以提升对系统的访问权限。
参考链接 https://download.beckhoff.com/download/Document/product-security/Advisories/advisory-2018-001.pdf
漏洞解决方案 用户可联系供应商获得补丁信息:
https://download.beckhoff.com/download/Document/product-security/Advisories/advisory-2018-001.pdf
厂商补丁 Beckhoff TwinCAT不可信指针引用漏洞的补丁
验证信息 (暂无验证信息)
报送时间 2018-03-26
收录时间 2018-03-26
更新时间 2018-03-27
漏洞附件 (无附件)
  在发布漏洞公告信息之前,CNVD都力争保证每条公告的准确性和可靠性。然而,采纳和实施公告中的建议则完全由用户自己决定,其可能引起的问题和结果也完全由用户承担。是否采纳我们的建议取决于您个人或您企业的决策,您应考虑其内容是否符合您个人或您企业的安全策略和流程。
(编辑:CNVD) | 已有0条评论
登录 后才能发表评论